package com.unis.detectionnum.server.dao;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.unis.detectionnum.server.entity.DCfxxsjyDO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Transactional;

import com.unis.detectionnum.common.vo.DCfxxsjyVO;
import com.unis.detectionnum.common.vo.DetectionWaterHistoryVO;
import com.unis.detectionnum.common.vo.MenuVO;


/**
 * 
 * @ClassName: DCfxxsjyDao 
 * @Description: DCfxxsjyDao 
 * @author huangxing
 * @date 2019年7月22日 下午5:22:22 
 * 
 * @version v1.0
 */
@Transactional(rollbackFor = Exception.class)
@org.apache.ibatis.annotations.Mapper
@Repository
public interface DCfxxsjyDao {

	/**
	 * 根据信息获取仓房列表
	 * @param dCfxxsjyDO
	 * @return
	 */
	List<DCfxxsjyDO> getDCfxxxsjyList(DCfxxsjyDO dCfxxsjyDO);

	/**
	 * 获取仓房信息
	 * @param cfbh
	 * @return
	 */
	DCfxxsjyDO getDCfxxxsjyInfo(@Param("cfbh")String cfbh);

	/**
	 * 根据仓房编号获取仓房信息-任何状态
	 * @param cfbh
	 * @return
	 */
	DCfxxsjyDO getWarehouseInfo(@Param("cfbh")String cfbh);

	/**
	 * 更新仓房信息
	 * @param dCfxxsjyDO
	 * @return
	 */
	int update(DCfxxsjyDO dCfxxsjyDO);

	/**
	 * 获取最大仓房编号
	 * @return
	 */
	String getMaxCodeById();

	/**
	 * 获取最大设备编号
	 * @return
	 */
	String getMaxById(@Param("prefix")String prefix);
	
	/**
	 * 添加仓房信息
	 * @return
	 */
	int insert(DCfxxsjyDO dCfxxsjyDO);

	/**
	 * 根据库点代码删除仓房信息列表
	 * @param kddm
	 * @return
	 */
	int deleteList(@Param("kddm")String kddm);

	/**
	 * 根据库点代码获取仓房列表
	 * @param kddm
	 * @return
	 */
	List<DCfxxsjyVO> getWarehouseListByKddm(String kddm);

	/**
	 * 备案主表状态
	 * @param dCfxxsjyVO
	 * @return
	 */
	int updateFiling(DCfxxsjyVO dCfxxsjyVO);

	/** 
	 * @Title: getWaterHistory 
	 * @Description: TODO
	 * @param cfbh
	 * @return List<DetectionWaterHistoryVO>
	 * @throws 
	 */
	List<DetectionWaterHistoryVO> getWaterHistory(Map selectMap);

	/** 
	 * @Title: selectMenuList 
	 * @Description: TODO
	 * @param cfbh
	 * @return List<MenuVO>
	 * @throws 
	 */
	List<MenuVO> selectMenuList(String userCode);

	String selectCfbhs(String userCode);

	List<MenuVO> selectAdminMenuList(String userCode);

    double getZlxGd(String sbCode);

	void deleteBycfbh(@Param("cfbh")String cfbh);
}
